> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Conversion Quote

> Get a quote for a currency conversion.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/ramp/{subaccountId}/banking/conversions/quote
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v1/ramp/{subaccountId}/banking/conversions/quote:
    post:
      tags:
        - Conversions
      summary: Get Conversion Quote
      description: Get a quote for a currency conversion.
      parameters:
        - name: subaccountId
          in: path
          schema:
            type: string
            format: uuid
          required: true
          description: The unique identifier of the subaccount
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConversionRequest'
            example:
              fromCurrency: USD
              toCurrency: NGN
              amount: 17
      responses:
        '200':
          description: Successful quote
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversionQuoteResponse'
              example:
                fromCurrency: USD
                toCurrency: NGN
                amount: 17
                feeAmount: 0
                netAmount: 17
                estimatedReceived: 10179.6
                rate: 598.8
                quoteTime: '2025-12-16T18:04:55.841Z'
components:
  schemas:
    ConversionRequest:
      type: object
      properties:
        fromCurrency:
          type: string
          example: USD
        toCurrency:
          type: string
          example: NGN
        amount:
          type: number
          example: 17
      required:
        - fromCurrency
        - toCurrency
        - amount
    ConversionQuoteResponse:
      type: object
      properties:
        fromCurrency:
          type: string
          example: USD
        toCurrency:
          type: string
          example: NGN
        amount:
          type: number
          example: 17
        feeAmount:
          type: number
          example: 0
        netAmount:
          type: number
          example: 17
        estimatedReceived:
          type: number
          example: 10179.6
        rate:
          type: number
          example: 598.8
        quoteTime:
          type: string
          format: date-time
          example: '2025-12-16T18:04:55.841Z'
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````